Skip to navigation

Delete a Template

DELETE https://api.beconversive.com/api/v2/templates/{template_id}

Permanently deletes a template. This cannot be undone.

curl -X DELETE https://api.beconversive.com/api/v2/templates/102031 \
-H "apiKey: <API_KEY>"

200 Deleted

{
"status": "success",
"message": "SMS template has been deleted successfully"
}

Authentication

NameTypeRequiredDescription
apiKeystringRequiredAPI key authentication via header.

Path parameters

NameTypeRequiredDescription
template_idintegerRequiredID of the template to delete.

Query parameters

NameTypeRequiredDescription
user_idstringOptionalUser deleting the template. Defaults to the account’s main user.

Response

NameTypeDescription
statusstringsuccess
messagestringConfirmation message.

Errors

StatusErrorDescription
400 Bad Request—The request is missing a field or has a value that is not valid.
401 UnauthorizedNO-API-KEY / FORBIDDEN-API-KEYThe API key is missing or not valid.
403 Forbidden—More than 25 requests in a minute. Wait a minute and retry.